/////////////////////////////////////////////////////////////////////////////
///
/// @file typedefs.h
///
/// Customizable data types for the Conley-Morse graphs computation program.
/// This file includes definitions of various types for the phase space
/// and for the parameter space.
///
/// @author Pawel Pilarczyk
///
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 1997-2014 by Pawel Pilarczyk.
//
// This file is part of my research software package.  This is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

// Started on February 11, 2008. Last revision: February 20, 2012.


#ifndef _CMGRAPHS_TYPEDEFS_H_
#define _CMGRAPHS_TYPEDEFS_H_


// include local header files
#include "typespace.h"
#include "typeparam.h"


#endif // _CMGRAPHS_TYPEDEFS_H_

